org.jfree.xml.generator.model

## Class IndexedPropertyInfo

- java.lang.Object
- - org.jfree.xml.generator.model.TypeInfo
  - - org.jfree.xml.generator.model.PropertyInfo
    - - org.jfree.xml.generator.model.IndexedPropertyInfo

-     public class IndexedPropertyInfo
      extends PropertyInfo

  Indexed property info.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedPropertyInfo(java.lang.String name, java.lang.Class type)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyDescription` | `getKey()` Returns the key.
    `void` | `setKey(KeyDescription key)` Sets the key.

    - ### Methods inherited from class org.jfree.xml.generator.model.PropertyInfo

      `getPropertyType, getXmlHandler, getXmlName, isPreserve, isReadMethodAvailable, isWriteMethodAvailable, setPreserve, setPropertyType, setReadMethodAvailable, setWriteMethodAvailable, setXmlHandler, setXmlName`

    - ### Methods inherited from class org.jfree.xml.generator.model.TypeInfo

      `equals, getComments, getDescription, getName, getType, hashCode, isConstrained, isNullable, setComments, setConstrained, setDescription, setNullable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedPropertyInfo

          public IndexedPropertyInfo(java.lang.String name,
                             java.lang.Class type)

      Creates a new instance.
      Parameters:
        `name` - the name.
        `type` - the type.

  - ### Method Detail

    - #### getKey

          public KeyDescription getKey()

      Returns the key.
      Returns:
        the key.

    - #### setKey

          public void setKey(KeyDescription key)

      Sets the key.
      Parameters:
        `key` - the key.